x = var('x')
y = atan(x)/pi + 0.5
a = 1
b = 4

p = plot(y, (-10,10), thickness = 3)

p += plot(0, (a,b), thickness = 3, color = 'red', plot_points = 2, marker = 'o', markerfacecolor = 'none', markeredgecolor = 'red')

p += parametric_plot((0, atan(x)/pi + 0.5), (x, a,b), thickness = 3, color = 'red', plot_points = 2, marker = 'o', markerfacecolor = 'none', markeredgecolor = 'red')

p += parametric_plot((a, x), (x, 0, atan(a)/pi + 0.5), thickness = 2, color = 'red', linestyle = ':')

p += parametric_plot((b, x), (x, 0, atan(b)/pi + 0.5), thickness = 2, color = 'red', linestyle = ':')

p += parametric_plot((x, atan(a)/pi + 0.5), (x, 0, a), thickness = 2, color = 'red', linestyle = ':')

p += parametric_plot((x, atan(b)/pi + 0.5), (x, 0, b), thickness = 2, color = 'red', linestyle = ':')

p.axes_range(-10,10,-0.1,1.1)
p.set_aspect_ratio('automatic')
p.axes_width(1.5)
p.show()
p.save_image('../06_02_fig1.png')

