t = var('t')

s = [vector([0, 0])]
s.append( vector([0, 1]) )
s.append( vector([sin(pi/3), cos(pi/3)]) )

c = (s[0] + s[1] + s[2]) / 3
for i in range(3):
    s[i] -= c


p = circle((0,0), 1, edgecolor = 'blue', thickness = 3)
for i in range(3):
    for j in range(i+1, 3):
        v = (t*s[i] + (1-t)*s[j])
        p += parametric_plot([ v[k] for k in range(2)], (t, 0, 1), color = 'red', thickness = 1)

#a = 0.6*(0.3*s[0] + 0.7*s[1])
#v = t*a
#p += parametric_plot3d([ v[k] for k in range(3)], (t, 0, 1), color = 'blue', linestyle = ':', thickness = 1)
#v = t*a + (1-t)*a.normalized()
#p += parametric_plot3d([ v[k] for k in range(3)], (t, 0, 1), color = 'blue', linestyle = '--', thickness = 1, plot_points = 2, marker = 'o', markerfacecolor = 'black', markeredgecolor = 'black', markersize = 20, markeredgewidth = 20)

p.show(frame = False)
