t = var('t')

s = [vector([ 0, 0, 0])]
s.append( vector([ -1/sqrt(2), 3/sqrt(6), 0]) )
s.append( vector([ -1/sqrt(2), 1/sqrt(6), 2/sqrt(3)]) )
s.append( vector([ -2/sqrt(2), 0, 0]) )

c = (s[0] + s[1] + s[2] + s[3]) / 4
for i in range(4):
    s[i] -= c


p = sphere(opacity = 0.1, color = 'gray')
for i in range(4):
    for j in range(i+1, 4):
        v = 0.6*(t*s[i] + (1-t)*s[j])
        vn = v.normalized()
        p += parametric_plot3d([ v[k] for k in range(3)], (t, 0, 1), color = 'red', thickness = 1)
        p += parametric_plot3d([ vn[k] for k in range(3)], (t, 0, 1), thickness = 3)

p.show(frame = False)
