r = var('r')
theta = var('theta')
phi = var('phi')

p = parametric_plot3d([sin(phi)*cos(theta), sin(phi)*sin(theta), cos(phi)], 
                      (phi, 0, pi/2), (theta, 0, 2*pi), color = 'gray', opacity = 0.3)

p += parametric_plot3d([r*cos(theta), r*sin(theta), 0], (r, 0, 1), (theta, 0, 2*pi),
                       color = 'blue', opacity = 0.7)
                       
p += parametric_plot3d([cos(theta), sin(theta), 0], (theta, 0, 2*pi),
                       color = 'blue', thickness = 5)

#sphere(opacity = 0.1, color = 'gray')
#for i in range(4):
#    for j in range(i+1, 4):
#        v = 0.6*(t*s[i] + (1-t)*s[j])
#        vn = v.normalized()
#        p += parametric_plot3d([ v[k] for k in range(3)], (t, 0, 1), color = 'red', thickness = 1)
#        p += parametric_plot3d([ vn[k] for k in range(3)], (t, 0, 1), thickness = 3)

p.show(frame = False, aspect_ratio = [1,1,1], zoom = 1.3)
